Skip to main content
PUT
/
v1
/
seller
/
offer
/
price
Update Price
curl --request PUT \
  --url https://scx-sbx.api.jtl-software.com/v1/seller/offer/price \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "offerList": [
    {
      "channel": "MYBESTDEALCOMDE",
      "offerId": 5437233,
      "sellerId": "4711",
      "priceList": [
        {
          "id": "B2C",
          "quantityPriceList": [
            {
              "amount": "14.65",
              "currency": "EUR",
              "quantity": "1.0"
            }
          ]
        }
      ],
      "channelOfferId": "XCD233554"
    }
  ]
}
'
{
  "errorList": [
    {
      "code": "VAL100",
      "message": "Required field sellerId not found",
      "severity": "error",
      "hint": "Check the field `sellerId` — it must be a non-empty string."
    }
  ]
}

Authorizations

Authorization
string
header
required

Bearer JWT issued to a seller after they sign up for a JTL-Scx subscription via the JTL Customer Center. Usage format: Bearer <JWT>.

Body

application/json

Price changes for one or more existing offers.

Batch of price-change updates for existing offers, with one or more price entries per offer.

offerList
object[]
Required array length: 1 - 5000 elements

Response

Created